Bug 152631 - Web Inspector: Add list-style properties to Visual Sidebar
Summary: Web Inspector: Add list-style properties to Visual Sidebar
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: 147563 172574
  Show dependency treegraph
 
Reported: 2015-12-31 16:39 PST by Devin Rousso
Modified: 2017-05-24 20:28 PDT (History)
9 users (show)

See Also:


Attachments
Patch (15.09 KB, patch)
2015-12-31 18:05 PST, Devin Rousso
timothy: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Patch (14.54 KB, patch)
2016-01-02 13:37 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2015-12-31 16:39:55 PST
Add list-style-type, list-style-position, and list-style-image as another section under Background.
Comment 1 Radar WebKit Bug Importer 2015-12-31 16:40:07 PST
<rdar://problem/24029772>
Comment 2 Devin Rousso 2015-12-31 18:05:44 PST
Created attachment 268061 [details]
Patch
Comment 3 WebKit Commit Bot 2016-01-02 12:46:17 PST
Comment on attachment 268061 [details]
Patch

Rejecting attachment 268061 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 268061, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
imothy Hatcher']" exit_code: 255 cwd: /Volumes/Data/EWS/WebKit

Parsed 9 diffs from patch file(s).
patching file Source/WebInspectorUI/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
Original content of Source/WebInspectorUI/Localizations/en.lproj/localizedStrings.js mismatches at /Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply line 283.

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Timothy Hatcher']" exit_code: 255 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.webkit.org/results/640709
Comment 4 Devin Rousso 2016-01-02 13:37:28 PST
Created attachment 268110 [details]
Patch
Comment 5 WebKit Commit Bot 2016-01-02 14:33:16 PST
Comment on attachment 268110 [details]
Patch

Clearing flags on attachment: 268110

Committed r194504: <http://trac.webkit.org/changeset/194504>
Comment 6 WebKit Commit Bot 2016-01-02 14:33:20 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Joseph Pecoraro 2016-01-04 15:57:33 PST
Comment on attachment 268110 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=268110&action=review

> Source/WebInspectorUI/UserInterface/Images/ListStylePositionInside.svg:1
> +<?xml version="1.0" encoding="utf-8"?>

Cool!

> Source/WebInspectorUI/UserInterface/Main.html:602
>      <script src="Views/VisualStyleUnitSlider.js"></script>
> +    <script src="Views/VisualStyleURLInput.js"></script>

Actually, according to `/usr/bin/sort` these "URL" < "Unit"
Comment 8 Devin Rousso 2016-01-04 15:59:20 PST
Comment on attachment 268110 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=268110&action=review

>> Source/WebInspectorUI/UserInterface/Main.html:602
>> +    <script src="Views/VisualStyleURLInput.js"></script>
> 
> Actually, according to `/usr/bin/sort` these "URL" < "Unit"

Oh...well I can fix that in the next Visual sidebar patch.